## python-m3u8 6.0.0

=== requirements.txt ===
backports-datetime-fromisoformat; python_version < '3.11'

## python-m3u8 0.2.8

=== debian/changelog ===
python-m3u8 (0.2.8-1) unstable; urgency=medium

  * Initial release. (Closes: #814983)

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 21:11:04 +0100

=== debian/control ===
Source: python-m3u8
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <novy@ondrej.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-arrow,
                     python-bottle,
                     python-iso8601,
                     python-pytest,
                     python3-arrow,
                     python3-bottle,
                     python3-iso8601,
                     python3-pytest,
Standards-Version: 3.9.7
Homepage: https://github.com/globocom/m3u8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-m3u8.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-m3u8.git

Package: python-m3u8
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Python m3u8 parser - Python 2.x
 m3u8 library can load and parse m3u8 HTTP Live Streaming (HLS) playlist.
 It supports DRM and variable bitrates.
 .
 The basic usage is to create a playlist object from uri, file path or
 directly from a string.
 .
 This package contains the Python 2.x module.

Package: python3-m3u8
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python m3u8 parser - Python 3.x
 m3u8 library can load and parse m3u8 HTTP Live Streaming (HLS) playlist.
 It supports DRM and variable bitrates.
 .
 The basic usage is to create a playlist object from uri, file path or
 directly from a string.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = m3u8

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; \
	python tests/m3u8server.py >/dev/null 2>&1 & \
	PID=$$! ; \
	for pyvers in $(PYTHONS); do \
		PYTHONPATH=. python$$pyvers -m pytest -vv tests/ ; \
	done ; \
	for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. python$$pyvers -m pytest -vv tests/ ; \
	done ; \
	kill -9 $$PID
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/m3u8-$1\.tar\.gz/ \
  https://github.com/globocom/m3u8/tags .*/v?(\d\S*)\.tar\.gz

## python-m3u8 0.2.10

=== debian/changelog ===
python-m3u8 (0.2.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump required version of dh-python to 2.20160609~
  * d/rules: Use pybuild for running tests

  [ Ondřej Kobližek ]
  * New upstream release

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 12 Aug 2016 13:10:12 +0200

python-m3u8 (0.2.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python-all build dependency
  * d/{control,copyright}: Use my @debian.org email address

  [ Ondřej Kobližek ]
  * New upstream release
  * Standards version is 3.9.8 now (no changes needed)
  * Added myself as uploader
  * d/watch: added python prefix for tarball
  * Added myself to copyright file for Debian part

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 07 Jul 2016 12:15:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-m3u8
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ondřej Nový <novy@ondrej.org>,
+Uploaders: Ondřej Nový <onovy@debian.org>,
+           Ondřej Kobližek <koblizeko@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9~),
-               dh-python,
-               python-all (>= 2.6.6-3~),
+               dh-python (>= 2.20160609~),
+               python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
@@ -17,7 +18,7 @@
                      python3-bottle,
                      python3-iso8601,
                      python3-pytest,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/globocom/m3u8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-m3u8 0.3.1

=== debian/changelog ===
python-m3u8 (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Tue, 24 Jan 2017 10:40:32 +0100

python-m3u8 (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Fri, 07 Oct 2016 22:25:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Ondřej Kobližek <koblizeko@gmail.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                dh-python (>= 2.20160609~),
                python-all,
                python-setuptools,

## python-m3u8 0.3.2

=== debian/changelog ===
python-m3u8 (0.3.2-2) unstable; urgency=medium

  * Https form of the copyright-format URL
  * Standards version is 4.0.0 now (no changes needed)
  * Change of distribution from experimental to unstable

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 23 Jun 2017 13:13:01 +0200

python-m3u8 (0.3.2-1) experimental; urgency=medium

  * New upstream release
  * Add autopkgtest-pkg-python testsuite

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 24 Apr 2017 14:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,13 @@
                      python3-bottle,
                      python3-iso8601,
                      python3-pytest,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/globocom/m3u8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-m3u8.git/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-m3u8.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-m3u8
 Architecture: all

## python-m3u8 0.3.5

=== debian/changelog ===
python-m3u8 (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 14 Nov 2017 13:14:21 +0100

python-m3u8 (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Standards version is 4.1.1 now (no changes needed)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Wed, 01 Nov 2017 08:12:27 +0100

python-m3u8 (0.3.3-1) unstable; urgency=medium

  * New upstream release
  * Standards version is 4.1.0 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 26 Sep 2017 16:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                      python3-bottle,
                      python3-iso8601,
                      python3-pytest,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/globocom/m3u8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = m3u8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; \
	python tests/m3u8server.py >/dev/null 2>&1 & \
	PID=$$! ; \
	dh_auto_test ; \
	kill -9 $$PID
endif

## python-m3u8 0.3.7

=== debian/changelog ===
python-m3u8 (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Rename d/tests/control.autodep8 to debian/tests/control

 -- Ondřej Nový <onovy@debian.org>  Mon, 31 Dec 2018 22:26:49 +0100

python-m3u8 (0.3.5-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Bump debhelper compat level to 11
  * Bump standards version to 4.2.1 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 20:48:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Ondřej Kobližek <koblizeko@gmail.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python (>= 2.20160609~),
                python-all,
                python-setuptools,
@@ -18,12 +18,10 @@
                      python3-bottle,
                      python3-iso8601,
                      python3-pytest,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/globocom/m3u8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-m3u8.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-m3u8.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-m3u8
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-m3u8.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-m3u8

=== debian/tests/control ===
Tests: loads
Depends: python-m3u8

Tests: loads3
Depends: python3-m3u8

## python-m3u8 0.3.11

=== debian/changelog ===
python-m3u8 (0.3.11-1) unstable; urgency=medium

  * New upstream release
  * Regenerate upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 05 Aug 2019 07:16:26 +0200

python-m3u8 (0.3.10-2) unstable; urgency=medium

  * Change of distribution from experimental to unstable
  * d/control: Drop the Python 2 module
  * d/rules: Drop the Python 2 module
  * d/tests: Drop the Python 2 module test
  * Bump standards version to 4.4.0 (no changes)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 11 Jul 2019 10:03:46 +0200

python-m3u8 (0.3.10-1) experimental; urgency=medium

  * New upstream release
  * Regenerate upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 27 Jun 2019 09:09:23 +0200

python-m3u8 (0.3.9-1) experimental; urgency=medium

  * New upstream release
  * Regenerate upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Wed, 05 Jun 2019 13:00:28 +0200

python-m3u8 (0.3.8-1) experimental; urgency=medium

  * New upstream release
  * d/control: Remove unnecessary dependency python(3)-arrow
  * Regenerate upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 09 Apr 2019 08:30:22 +0200

=== debian/control ===
Source: python-m3u8
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
           Ondřej Kobližek <koblizeko@gmail.com>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python (>= 2.20160609~),
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python3-bottle,
                     python3-iso8601,
                     python3-pytest,
Standards-Version: 4.4.0
Homepage: https://github.com/globocom/m3u8
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-m3u8
Vcs-Git: https://salsa.debian.org/python-team/modules/python-m3u8.git
Testsuite: autopkgtest-pkg-python

Package: python3-m3u8
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python m3u8 parser - Python 3.x
 m3u8 library can load and parse m3u8 HTTP Live Streaming (HLS) playlist.
 It supports DRM and variable bitrates.
 .
 The basic usage is to create a playlist object from uri, file path or
 directly from a string.
 .
 This package contains the Python 3.x module.

## python-m3u8 0.5.4

=== debian/changelog ===
python-m3u8 (0.5.4-1) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * New upstream release

 -- Ondřej Kobližek <kobla@debian.org>  Wed, 22 Jan 2020 07:29:24 +0100

python-m3u8 (0.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Kobližek <kobla@debian.org>  Thu, 19 Dec 2019 08:09:15 +0100

python-m3u8 (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Kobližek <kobla@debian.org>  Tue, 19 Nov 2019 07:15:01 +0100

python-m3u8 (0.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Ondřej Kobližek ]
  * New upstream release
  * Change my email address

 -- Ondřej Kobližek <kobla@debian.org>  Thu, 07 Nov 2019 17:01:03 +0100

python-m3u8 (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Regenerate upstream changelog
  * d/control: Add Rules-Requires-Root

 -- Ondřej Kobližek <koblizeko@gmail.com>  Wed, 02 Oct 2019 12:01:01 +0200

python-m3u8 (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Regenerate upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 16 Sep 2019 09:22:25 +0200

python-m3u8 (0.3.12-1) unstable; urgency=medium

  * New upstream release
  * Regenerate upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 26 Aug 2019 07:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-m3u8
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-           Ondřej Kobližek <koblizeko@gmail.com>,
+           Ondřej Kobližek <kobla@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -11,11 +11,12 @@
 Build-Depends-Indep: python3-bottle,
                      python3-iso8601,
                      python3-pytest,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/globocom/m3u8
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-m3u8
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-m3u8.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-m3u8
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = m3u8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; \
	python3 tests/m3u8server.py >/dev/null 2>&1 & \
	PID=$$! ; \
	dh_auto_test ; \
	kill -9 $$PID
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-m3u8-$1\.tar\.gz/ \
  https://github.com/globocom/m3u8/tags .*/v?(\d\S*)\.tar\.gz

## python-m3u8 0.7.1

=== debian/changelog ===
python-m3u8 (0.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Kobližek <kobla@debian.org>  Wed, 26 Aug 2020 09:29:35 +0200

python-m3u8 (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Bump debhelper version to 13
    - Update mailing-list address in Maintainer

 -- Ondřej Kobližek <kobla@debian.org>  Fri, 15 May 2020 20:22:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-m3u8
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Uploaders: Ondřej Nový <onovy@debian.org>,
            Ondřej Kobližek <kobla@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 2.20160609~),
                python3-all,
                python3-setuptools,

## python-m3u8 0.8.0

=== debian/changelog ===
python-m3u8 (0.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 05:00:47 +0000

python-m3u8 (0.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.

  [ Sandro Tosi ]
  * debian/control
    - use proper team name and email address

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Aug 2021 00:43:19 -0400

python-m3u8 (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/watch: Bump version.
  * d/CHANGELOG: Update from new upstream release.
  * Bump Standards-Version to 4.5.1.

 -- Ondřej Nový <onovy@debian.org>  Mon, 04 Jan 2021 12:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: python-m3u8
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Uploaders: Ondřej Nový <onovy@debian.org>,
            Ondřej Kobližek <kobla@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 2.20160609~),
+               dh-python,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python3-bottle,
                      python3-iso8601,
                      python3-pytest,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/globocom/m3u8
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-m3u8
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-m3u8.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-m3u8
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-m3u8.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-m3u8-$1\.tar\.gz/ \
  https://github.com/globocom/m3u8/tags .*/v?(\d\S*)\.tar\.gz

## python-m3u8 6.0.0

=== debian/changelog ===
python-m3u8 (6.0.0-2) unstable; urgency=medium

  * Team Upload
  * Fix syntax error in d/control that confuses UDD & the Tracker

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 16:56:02 +0100

python-m3u8 (6.0.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 6.0.0
  * Use dh-sequence-python3

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Nov 2024 01:35:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-m3u8
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
-Uploaders: Ondřej Nový <onovy@debian.org>,
-           Ondřej Kobližek <kobla@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Ondřej Kobližek <kobla@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python3-bottle,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME = m3u8
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

=== debian/tests/control ===
Tests: loads3
Depends: python3-m3u8
